/**
 * @file	codec.c
 * @author	myusgun <myusgun@gmail.com>
 */
#include "cf_codec.h"
#include "cf_debug.h"
#include <stdio.h>
#include <string.h>

int main (void)
{
	char data[] = "ONE OK ROCK - Nothing Helps";

	char hex[512] = {0x00,};
	unsigned char bin[512] = {0x00,};
	size_t length = 0;

	CF_DEBUG_PRINT (stderr, "data   : %s\n", data);
	CF_DEBUG_PRINT (stderr, "= Convert binary to hex =\n");
	CF_Codec_BinaryToHex ((unsigned char *)data, strlen (data), hex);
	CF_DEBUG_PRINT (stderr, "hex    : %s\n", hex);
	CF_DEBUG_PRINT_BIN (stderr, (unsigned char *) data, strlen (data), "data   : %s\n", data);

	CF_DEBUG_PRINT (stderr, "= Convert hex to binary =\n");
	CF_Codec_HexToBinary (hex, bin, &length);
	CF_DEBUG_PRINT_BIN (stderr, bin, length, "bin    : %s\n", bin);

	return 0;
}
